:root {
  /* color */
  --g-base-text-color: theme('colors.black');

  /* background-color */
  --g-base-bg-color: theme('colors.gray.100');

  /* padding-{left,right} */
  --g-px: theme('spacing.4');
  --g-px-sm: theme('spacing.4');
  --g-px-md: theme('spacing.6');
  --g-px-lg: theme('spacing.6');
  --g-px-xl: theme('spacing.16');

  /* padding-{top,bottom} */
  --g-py: theme('spacing.16');
  --g-py-sm: theme('spacing.16');
  --g-py-md: theme('spacing.24');
  --g-py-lg: theme('spacing.32');
  --g-py-xl: theme('spacing.32');

  /* {transition,animation}-duration */
  --duration-fastest: 50ms;
  --duration-faster: 100ms;
  --duration-fast: 150ms;
  --duration-medium: 200ms;
  --duration-slow: 250ms;
  --duration-slower: 300ms;
  --duration-slowest: 500ms;

  /*
  * {transition,animation}-timing-function
  * See: https://easings.net
  */
  --linear: linear;
  --ease-in: cubic-bezier(0.55, 0.085, 0.68, 0.53);
  --ease-out: cubic-bezier(0.25, 0.46, 0.45, 0.94);
  --ease-in-out: cubic-bezier(0.455, 0.03, 0.515, 0.955);

  /* height {navbar} */
  --g-navbar-h: theme('spacing.20');
}
